Skip to main content
GET
/
v1
/
engagement-account-groups
/
{engagementAccountGroupId}
Read Engagement Account Group
curl --request GET \
  --url https://localtest.mindbridge.ai/api/v1/engagement-account-groups/{engagementAccountGroupId} \
  --header 'Authorization: Bearer <token>'
{
  "engagementAccountGroupingId": {},
  "code": "<string>",
  "description": {},
  "parentCode": "<string>",
  "hidden": true,
  "id": {},
  "lowestLevel": true,
  "hierarchy": [
    "<string>"
  ],
  "macCode": "<string>",
  "accountTags": [
    "<string>"
  ],
  "publishedDate": "2023-11-07T05:31:56Z",
  "orderIndex": 123,
  "errors": [
    {
      "type": "ERROR_LOWEST_LEVEL_WITH_NO_MAC",
      "arguments": [
        "<string>"
      ]
    }
  ],
  "origin": "IMPORTED_FROM_LIBRARY",
  "alias": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

engagementAccountGroupId
string
required

Response

OK

engagementAccountGroupingId
object
required

The unique identifier for the engagement account grouping that the engagement account group belongs to.

code
string
required

The account code for this account group.

Minimum string length: 1
Pattern: \s*\S+.*
description
object
required

A description of the account code for this account group.

parentCode
string
required

The parent code for this account group.

hidden
boolean
required

When true this account is hidden, and can’t be used in account mapping. Additionally this account won’t be suggested when automatically mapping accounts during file import.

id
object

The unique object identifier.

lowestLevel
boolean
hierarchy
string[]

A list of the parent codes for this account group.

macCode
string

The MAC code mapped to this account group.

accountTags
string[]

A list of account tags assigned to this account group.

publishedDate
string<date-time>

The date this account group was published. If not set, this account group is not published.

Published account groups cannot be updated.

orderIndex
integer<int32>

The order in which this account group is displayed, relative to other account groups with the same parent.

errors
Account Group Error · object[]

A list of errors associated with this account group.

origin
enum<string>

The process that lead to the creation of the account group.

Available options:
IMPORTED_FROM_LIBRARY,
IMPORTED_FROM_ENGAGEMENT,
ADDED_ON_ENGAGEMENT
alias
string

A replacement value used when displaying the account description.

This does not have any effect on automatic column mapping.